package de.uka.ipd.consensus.foundation.ontology;

/**
 * An adapter class for receiving ontology events. The methods in this class are empty.
 * This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.
 * @author Thomas Much
 * @version 2006-06-14
 */
public class OntologyAdapter implements OntologyListener {

	public void topicCreated(OntologyEvent event) { }
	public void associationCreated(OntologyEvent event) { }
	public void occurrenceCreated(OntologyEvent event) { }

	public void conceptCommentChanged(OntologyEvent event) { }
	public void conceptNameChanged(OntologyEvent event) { }
	public void conceptTypeChanged(OntologyEvent event) { }

	public void topicClassChanged(OntologyEvent event) { }

	public void associationTopicAdded(OntologyEvent event) { }
	public void associationTopicRemoved(OntologyEvent event) { }

	public void occurrenceChanged(OntologyEvent event) { }
	public void occurrenceRemoved(OntologyEvent event) { }

	public void attributeAdded(OntologyEvent event) { }
	public void attributeValueChanged(OntologyEvent event) { }
	public void attributeRemoved(OntologyEvent event) { }

	public void synonymAdded(OntologyEvent event) { }
	public void synonymRemoved(OntologyEvent event) { }

}
